Bug 63185 - Space in client name confuses cluadmin
Summary: Space in client name confuses cluadmin
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: clumanager (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Jason Baron
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-10 21:51 UTC by Tim Burke
Modified: 2013-03-06 05:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-06 13:43:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2002:226 normal SHIPPED_LIVE Fixes for clumanager addressing starvation and service hangs 2002-10-08 04:00:00 UTC

Description Tim Burke 2002-04-10 21:51:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i686)

Description of problem:
Create an NFS service.  When specifying clients, I accidentally put a space
after a hostname.  This confused cluadmin which isn't stripping off that
whitespace.  Unclear if this problem applies to other fields.

Do you want to (a)dd, (m)odify, (d)elete or (s)how NFS CLIENTS, or are you
(f)inished adding CLIENTS [f]: a

Export client name [*]: baron 
Warning: Export client, baron ,  not valid

Export client name [baron ]: baron
Export client options [None]: rw


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Create nfs service
2.put a space after a client name
3.
	

Actual Results:  unknown host

Expected Results:  strip off whitespace.

Additional info:

Comment 1 Lon Hohberger 2002-06-11 20:23:19 UTC
Fix in pool.


Note You need to log in before you can comment on or make changes to this bug.